Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class BugRecord

    java.lang.Object
      com.knowgate.lucene.BugRecord

    public class BugRecord

extends java.lang.Object

Nested Class Summary
`static class` | `BugRecord.CompareAuthor`
`static class` | `BugRecord.CompareDate`
`static class` | `BugRecord.ComparePriority`
`static class` | `BugRecord.CompareScore`
`static class` | `BugRecord.CompareSeverity`
`static class` | `BugRecord.CompareTitle`

Constructor Summary
`BugRecord()`
`BugRecord(float fScore, int iNumber, java.lang.String sGuid, java.lang.String sProject, java.lang.String sTitle, java.lang.String sReportedBy, java.lang.String sDate, java.lang.String sType, java.lang.String sStatus, java.lang.String sPriority, java.lang.String sSeverity, java.lang.String sAbstract)`

Method Summary
`java.lang.String` | `getAuthor()`
`java.util.Date` | `getDate()`
`java.lang.String` | `getDateAsString()`
`java.lang.String` | `getGuid()`
`int` | `getNumber()`
`java.lang.Short` | `getPriority()`
`java.lang.String` | `getProject()`
`float` | `getScore()`
`java.lang.Short` | `getSeverity()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`void` | `setAuthor(java.lang.String sAuthor)`
`void` | `setDate(java.util.Date oDtCreated)`
`void` | `setGuid(java.lang.String sGuid)`
`void` | `setPriority(java.lang.Short oPriority)`
`void` | `setProject(java.lang.String sProjectGUID)`
`void` | `setSeverity(java.lang.Short oSeverity)`
`void` | `setStatus(java.lang.String sStatus)`
`void` | `setTitle(java.lang.String sTitle)`
`void` | `setType(java.lang.String sType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BugRecord

    public BugRecord()

### BugRecord

    public BugRecord(float fScore,
                     int iNumber,
                     java.lang.String sGuid,
                     java.lang.String sProject,
                     java.lang.String sTitle,
                     java.lang.String sReportedBy,
                     java.lang.String sDate,
                     java.lang.String sType,
                     java.lang.String sStatus,
                     java.lang.String sPriority,
                     java.lang.String sSeverity,
                     java.lang.String sAbstract)

Method Detail

### getProject

    public java.lang.String getProject()

### getNumber

    public int getNumber()
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getGuid

    public java.lang.String getGuid()

### getTitle

    public java.lang.String getTitle()

### getAuthor

    public java.lang.String getAuthor()

### getDate

    public java.util.Date getDate()

### getDateAsString

    public java.lang.String getDateAsString()

### getPriority

    public java.lang.Short getPriority()

### getScore

    public float getScore()

### getSeverity

    public java.lang.Short getSeverity()

### getStatus

    public java.lang.String getStatus()

### getType

    public java.lang.String getType()

### setProject

    public void setProject(java.lang.String sProjectGUID)

### setGuid

    public void setGuid(java.lang.String sGuid)

### setTitle

    public void setTitle(java.lang.String sTitle)

### setAuthor

    public void setAuthor(java.lang.String sAuthor)

### setDate

    public void setDate(java.util.Date oDtCreated)

### setPriority

    public void setPriority(java.lang.Short oPriority)

### setSeverity

    public void setSeverity(java.lang.Short oSeverity)

### setType

    public void setType(java.lang.String sType)

### setStatus

    public void setStatus(java.lang.String sStatus)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD